Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Sep 2014, 04:27
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
hpliplite: dynamic packages
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 5 [73 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
marcos90

Joined: 07 Sep 2011
Posts: 77

PostPosted: Fri 21 Mar 2014, 19:05    Post subject:  

I'm using Hplip_print 3.13.9 on Puppy Precise .
There is some improvement on the print quality on this new version ?
I'm not liking the quality of the pictures and photos , even on High quality mode . Comparing impressions between Windows and Puppy using the same printer , the quality difference is alarming .
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3904
Location: World_Hub

PostPosted: Fri 21 Mar 2014, 19:12    Post subject:  

Not that I know a whole lot, but.. which printer and print driver have we got in the mix here?
Back to top
View user's profile Send private message 
marcos90

Joined: 07 Sep 2011
Posts: 77

PostPosted: Fri 21 Mar 2014, 19:37    Post subject:  

Semme wrote:
Not that I know a whole lot, but.. which printer and print driver have we got in the mix here?

I'm using an old HP Deskjet 1460 printer , with Hplip_print 3.13.9 drivers .
It's working great , except for poor printed photo quality .
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3904
Location: World_Hub

PostPosted: Fri 21 Mar 2014, 19:44    Post subject:  

Until someone else posts, there's no need to quote.

Now besides the printer, which driver was chosen?
Back to top
View user's profile Send private message 
marcos90

Joined: 07 Sep 2011
Posts: 77

PostPosted: Fri 21 Mar 2014, 19:50    Post subject:  

I'm using hplip_print-1.13.9.pet .

In the CUPS description , it is writted : HP Deskjet d1400 Series, hpcups 3.13.9
Back to top
View user's profile Send private message 
neversaynever

Joined: 27 Mar 2014
Posts: 15

PostPosted: Thu 27 Mar 2014, 17:04    Post subject:  

Hi.
I’m new with Puppy Linux (slacko 5.6) and I have a HP Color LaserJet CM1312 MFP. I can't use the scanner.
I installed “libnetsnmp-15.pet”, “hpliplite-3.14.3.pet” and “hpliplite_plugin_install-1.2.pet”.
I installed the Printer by CUPS.
No problem with printing documents and images. But I can’t use the scanner.
If I write “sane-find-scanner”, the answer is “found USB scanner (vendor=0x03f0 [HP], product=0x4e17 [HP Color LaserJet CM1312 MFP]) at libusb:002:004”.
But if I write “scanimage –L”, the answer is “No scanner were identified”.
I tried to put two new lines in “/etc/sane.d/hp4200.conf”:
# HP Color LaserJet CM1312 MFP
usb 0x03f0 0x4e17

Now the answer to “scanimage -L”, is “device ‘hp4200:libusb:002:007 is a HP-4200 flatbed scanner”.
But when I try to scan using Xsane, everything blocks and I have to kill the application.
What can I do for scanning with my multifunction printer?
(P.S.- I also tried to install “hplip-slacko-5.3.3.pet”, but I had exactly the same problem …).
Thank in advance.
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Mon 31 Mar 2014, 09:29    Post subject:  

marcos90 wrote:
There is some improvement on the print quality on this new version ?


No, as far as I know.
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Tue 01 Apr 2014, 03:39    Post subject:  

neversaynever wrote:
(P.S.- I also tried to install “hplip-slacko-5.3.3.pet”, but I had exactly the same problem …).

I have no experience with printers that require plugins for scanning, as it is in your case.
I can suggest that, if you still have hplip-slacko-5.3.3.pet installed, you could try executing in a terminal
Code:
 hp-plugin
which is the original hplip plugin installer and re-install your printer using
Code:
hp-setup
I hope this helps.
Back to top
View user's profile Send private message 
neversaynever

Joined: 27 Mar 2014
Posts: 15

PostPosted: Tue 01 Apr 2014, 04:40    Post subject:  

lluamco wrote

... you could try executing in a terminal
Code:
 hp-plugin
which is the original hplip plugin installer and re-install your printer using
Code:
hp-setup
I hope this helps.

Thank you very much for your answer.
I already tried your advise, but hp-plugin and hp-setup stop with error after 90-100 lines.
So i think I've no hope.
I tried with vuescan and this application recognizes my scanner. So buying vuescan may be a way to by-pass the problem.
Thank you
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6435
Location: Auckland, New Zealand

PostPosted: Tue 01 Apr 2014, 06:00    Post subject:  

Quote:
I already tried your advise, but hp-plugin and hp-setup stop with error after 90-100 lines.

You're not even going to post the error?

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
neversaynever

Joined: 27 Mar 2014
Posts: 15

PostPosted: Tue 01 Apr 2014, 11:47    Post subject:  

disciple wrote:
Quote:
I already tried your advise, but hp-plugin and hp-setup stop with error after 90-100 lines.

You're not even going to post the error?


Tomorrow I'll re-install hplip-slacko-5.3.3.pet and, after running hp-plugin, I'll take note of the error and I'll post it.
Thank you.
Back to top
View user's profile Send private message 
neversaynever

Joined: 27 Mar 2014
Posts: 15

PostPosted: Tue 01 Apr 2014, 12:50    Post subject:  

neversaynever wrote:
disciple wrote:
Quote:
I already tried your advise, but hp-plugin and hp-setup stop with error after 90-100 lines.

You're not even going to post the error?


Tomorrow I'll re-install hplip-slacko-5.3.3.pet and, after running hp-plugin, I'll take note of the error and I'll post it.
Thank you.


Hi. I re-installed hplip-slacko-5.3.3.pet.
Before all, in Menu>Utility there is "HP Device Manager"; but nothing happens when I clic on it.
hp-plugin gives "can't execute 'python': No such file or directory"
I downloaded and loaded "devx.sfs" (that contains 'python') by "Sfs Manager".
Now hp-plugin gives:
Traceback (most recent call last):
. File "/usr/bin/hp-plugin", line 39, in <module> from base import device, utils, tui, module
. File "/usr/share/hplip/base/device.py", line 39, in <module> input status
. File "/usr/share/hplip/base/status.py", line 45, in <module> import hpmudext
ImportError: No module named hpmudext.

Same thing if I use "hp-setup".
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Tue 01 Apr 2014, 16:24    Post subject:  

neversaynever wrote:
Hi. I re-installed hplip-slacko-5.3.3.pet.
hp-plugin gives "can't execute 'python': No such file or directory"

Strange. python2.6 should have been automatically installed by hplip-slacko-5.3.3.pet if no python is found in the system.
I am sorry but I do not know how to solve your problems. A suggestion is using slacko-5.3.3, for which the hplip-slacko-5.3.3.pet
was tested (although the hp device manager menu-utility entry does not work either, the sys-tray effectively does) if this older slacko version fits your interests.
Back to top
View user's profile Send private message 
neversaynever

Joined: 27 Mar 2014
Posts: 15

PostPosted: Wed 02 Apr 2014, 04:20    Post subject:  

lluamco wrote:
neversaynever wrote:
Hi. I re-installed hplip-slacko-5.3.3.pet.
hp-plugin gives "can't execute 'python': No such file or directory"

Strange. python2.6 should have been automatically installed by hplip-slacko-5.3.3.pet if no python is found in the system.

yes, python2.6 is installed but it doesn't work with hp-plugin: and I can't understand why.
If I load devx, it contains python2.7 and hp-plugin can run. Now I realize that hpmudext.so were in python2.6: so I copied hpmudext.so in /usb/lib/python2.7/site-packages/ and hp-plugin now finds it.
But it gives me a new import error:
ImputError: libnetsnmp.so.25: cannot open shared object file: No such file or directory.

Does this new error help in understing something more?
May be load hplip-slacko-5.3.3.pet after devx (and python2.7) can help?
I don't understand why, without any plug-in, vuescan application (only 8MB vs 300MB of HPLIP) finds my CM1312 scanner ...
Thanks however
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6435
Location: Auckland, New Zealand

PostPosted: Wed 02 Apr 2014, 18:30    Post subject:  

Did you install netsnmp?
EDIT
Sorry - I see with the "slacko" package it is supposed to be installed automatically.

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 5 [73 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0876s ][ Queries: 13 (0.0074s) ][ GZIP on ]